4Suite™ API Documentation

# ► Module Ft.Server.Server.Xslt.UriReferenceFile

XSLT extension elements and functions supporting the 4SS UriReferenceFile API
Copyright 2004 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Classes: SetReferenceElement |  |  |  | Functions: GetReference |  |  |  | Fields: ExtElements, ExtFunctions, SCORE_NS

## Classes

class SetReferenceElement(Ft.Xml.Xslt.StylesheetTree.XsltElement)
Change what a URI reference references.

### Methods

instantiate(self, context, processor)

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

__init__, __str__, appendChild, expandQName, insertChild, parseAVT, parseExpression, parsePattern, processChildren, splitQName

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

idle, isLastChild, isPseudoNode, pprint, prime, setup

### Fields

content = <Ft.Xml.Xslt.ContentInfo.Atom instance>
Empty is the content model for childless elements
legalAttrs = {'path': <Ft.Xml.Xslt.AttributeInfo.UriReferenceAvt instance>, 'reference': <Ft.Xml.Xslt.AttributeInfo.UriReferenceAvt instance>}

### Fields

## Functions

GetReference(context, path=None)
Get the URI that this resource references

## Fields

ExtElements = {('http://xmlns.4suite.org/4ss/score', 'set-reference'): <class Ft.Server.Server.Xslt.UriReferenceFile.SetReferenceElement>}
ExtFunctions = {('http://xmlns.4suite.org/4ss/score', 'get-reference'): <function GetReference>}
SCORE_NS = 'http://xmlns.4suite.org/4ss/score'